summaryrefslogtreecommitdiff
path: root/tests/misc/nice.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/nice.sh')
-rwxr-xr-xtests/misc/nice.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/misc/nice.sh b/tests/misc/nice.sh
index 8efb7d87d..26a01ca9f 100755
--- a/tests/misc/nice.sh
+++ b/tests/misc/nice.sh
@@ -81,12 +81,12 @@ if test x$(nice -n -1 nice 2> /dev/null) = x0 ; then
if test -w /dev/full && test -c /dev/full; then
nice -n -1 nice > out 2> /dev/full
test $? = 125 || fail=1
- test -s out && fail=1
+ compare /dev/null out || fail=1
fi
else
# superuser - change succeeds
nice -n -1 nice 2> err || fail=1
- test -s err && fail=1
+ compare /dev/null err || fail=1
test x$(nice -n -1 nice) = x-1 || fail=1
test x$(nice --1 nice) = x-1 || fail=1
fi